> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an allowlist entry

> Developer API operation for POST /dev/v1/allowlist.



## OpenAPI

````yaml /openapi.json post /dev/v1/allowlist
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/allowlist:
    post:
      tags:
        - Allowlist
      summary: Create an allowlist entry
      description: Developer API operation for POST /dev/v1/allowlist.
      operationId: postDevV1Allowlist
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - type
                - value
              properties:
                type:
                  anyOf:
                    - type: string
                      enum:
                        - EMAIL
                    - type: string
                      enum:
                        - IP
                    - type: string
                      enum:
                        - IP_RANGE
                    - type: string
                      enum:
                        - DEVICE
                value:
                  type: string
                  minLength: 1
                  maxLength: 255
                reason:
                  type: string
                  maxLength: 1000
          multipart/form-data:
            schema:
              type: object
              required:
                - type
                - value
              properties:
                type:
                  anyOf:
                    - type: string
                      enum:
                        - EMAIL
                    - type: string
                      enum:
                        - IP
                    - type: string
                      enum:
                        - IP_RANGE
                    - type: string
                      enum:
                        - DEVICE
                value:
                  type: string
                  minLength: 1
                  maxLength: 255
                reason:
                  type: string
                  maxLength: 1000
          text/plain:
            schema:
              type: object
              required:
                - type
                - value
              properties:
                type:
                  anyOf:
                    - type: string
                      enum:
                        - EMAIL
                    - type: string
                      enum:
                        - IP
                    - type: string
                      enum:
                        - IP_RANGE
                    - type: string
                      enum:
                        - DEVICE
                value:
                  type: string
                  minLength: 1
                  maxLength: 255
                reason:
                  type: string
                  maxLength: 1000
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````